Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 220887 - dev-libs/libhome-0.10.1 incompatible with libtool 2.2
Summary: dev-libs/libhome-0.10.1 incompatible with libtool 2.2
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Apache Team - Bugzilla Reports
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: libtool-2.2
  Show dependency tree
 
Reported: 2008-05-08 10:10 UTC by Xavian-Anderson Macpherson
Modified: 2008-06-01 12:52 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
libhome-0.10.1-x86_64-buildlog_emergeinfo_environment (libhome-0.10.1-x86_64-buildlog_emergeinfo_environment-2008.05.08_03:11:37,154.03 KB, text/plain)
2008-05-08 10:13 UTC, Xavian-Anderson Macpherson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xavian-Anderson Macpherson 2008-05-08 10:10:46 UTC
emerge dev-libs/libhome-0.10.1

libtool: Version mismatch error.  This is libtool 2.2.4, but the
libtool: definition of this LT_INIT comes from an older release.
libtool: You should recreate aclocal.m4 with macros from libtool 2.2.4
libtool: and run autoconf again.
./libtool: line 1146: func_opt_split: command not found
make: *** [rewrite.lo] Error 63
libtool: Version mismatch error.  This is libtool 2.2.4, but the
libtool: definition of this LT_INIT comes from an older release.
libtool: You should recreate aclocal.m4 with macros from libtool 2.2.4
libtool: and run autoconf again.
libtool: Version mismatch error.  This is libtool 2.2.4, but the
libtool: definition of this LT_INIT comes from an older release.
libtool: You should recreate aclocal.m4 with macros from libtool 2.2.4
libtool: and run autoconf again.
make: *** [cleanup.lo] Error 63
make: *** [hsystem.lo] Error 63
make: *** [tools.lo] Error 63
 * 
 * ERROR: dev-libs/libhome-0.10.1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2996:  Called die
 * The specific snippet of code:
 *       emake || die "emake failed"
 *  The die message:
 *   emake failed

Shingoshi
Comment 1 Xavian-Anderson Macpherson 2008-05-08 10:13:38 UTC
Created attachment 152441 [details]
libhome-0.10.1-x86_64-buildlog_emergeinfo_environment

All in one file.
Comment 2 Rafał Mużyło 2008-05-08 21:11:03 UTC
I think it should work if 
rm ${S}/aclocal.m4
is added before eautoreconf.
I think it contains only the old libtool.m4
other macros are in configure.in (well, they should be in acinclude.m4, not very clean)
Comment 3 Xavian-Anderson Macpherson 2008-05-08 23:31:43 UTC
(In reply to comment #2)
> I think it should work if 
> rm ${S}/aclocal.m4
> is added before eautoreconf.
> I think it contains only the old libtool.m4
> other macros are in configure.in (well, they should be in acinclude.m4, not
> very clean)
> 

So is this something that's up to the user to do, or is this the responsibility of the maintainer?

Shingoshi
Comment 4 Rafał Mużyło 2008-05-09 08:17:58 UTC
I don't understand your question.
If you're asking `should the upstream have put libtool.m4 in acinclude.m4`,
then in my not-so-humble opinion they shouldn't have, unless they were trying to make this work with some old-and-broken version of aclocal or they didn't understood autotools. As libhome seem to be no longer in the development, I think it was the former (I'm giving them benefit of doubt).
Comment 5 Benedikt Böhm (RETIRED) gentoo-dev 2008-06-01 12:52:54 UTC
fixed, thanks